<?php

  //////////////////////////////////
  //
  // Snippet for tx_wine_main
  
  // This is for the file localconf.php or realurl_conf.php

$TYPO3_CONF_VARS['EXTCONF']['realurl'] = array(
  '_DEFAULT' => array(
    'init' => array(
      'respectSimulateStaticURLs' => 0,
      'enableCHashCache'          => 1,
      'appendMissingSlash'        => 'ifNotFile',
      'enableUrlDecodeCache'      => 1,
      'enableUrlEncodeCache'      => 1,
      'reapplyAbsRefPrefix'       => 1,
      'postVarSet_failureMode'    => 'redirect_goodUpperDir',
    ),
    'redirects' => array(),
    'preVars' => array(
      array(
        'GETvar'    => 'no_cache',
        'valueMap'  => array(
          'nc' => 1,
        ),
        'noMatch' => 'bypass',
      ),
      array(
        'GETvar' => 'L',
        'valueMap' => array(
          'en' => '0',
          'de' => '1',
          'es' => '2',
        ),
        'noMatch' => 'bypass',
      ),
    ),
    'pagePath' => array(
      'type'              => 'user',
      'userFunc'          => 'EXT:realurl/class.tx_realurl_advanced.php:&tx_realurl_advanced->main',
      'spaceCharacter'    => '-',
      'languageGetVar'    => 'L',
      'expireDays'        => 7,
      'rootpage_id'       => 0,
      'firstHitPathCache' => 1,
    ),
    'fixedPostVars' => array(),
    'postVarSets' => array(
      '_DEFAULT' => array(
        'title' => array(
        array(
            'GETvar'      => 'tx_browser_pi1[showUid]' ,
            'lookUpTable' => array(
              'table'               => 'tx_wine_main',
              'id_field'            => 'uid',
              'alias_field'         => 'title',
              'addWhereClause'      => ' AND NOT deleted AND NOT hidden',
              'useUniqueCache'      => 1,
              'useUniqueCache_conf' => array(
                'strtolower'      => 1,
                'spaceCharacter'  => '-',
              ),
            ),
          ),
        ),
        'az' => array(
          array(
            'GETvar' => 'tx_browser_pi1[azTab]' ,
          ),
        ),
        'mode' => array(
          array(
            'GETvar' => 'tx_browser_pi1[mode]' ,
          ),
          array(
            'GETvar' => 'tx_browser_pi1[pointer]' ,
          ),
        ),
        'sort' => array(
          array(
            'GETvar' => 'tx_browser_pi1[sort]' ,
          ),
        ),
        'sword' => array(
          array(
            'GETvar' => 'tx_browser_pi1[sword]' ,
          ),
        ),
      ),
    ),
  'fileName' => array(),
  ),
);

?>
